<template>
  <div
    :id="'twitch-embed-' + videoID"
    :videoID="videoID"
    :autoplay="autoplay"
    :controls="controls"
    :size="size"
  ></div>
</template>

<script lang="ts">
import Twitch from '@/libraries/twitch.v1';

export default {
  name: 'AtomMainVideo',

  props: {
    videoID: {
      type: String,
      required: true,
    },
    autoplay: {
      type: Boolean,
    },
    size: {
      type: String,
    },
    controls: {
      type: Boolean,
    },
  },
  data(): any {
    return { player: null };
  },
  mounted(): void {
    const options = {
      video: this.$props.videoID,
      autoplay: this.autoplay,
      width: '100%',
      height: this.size === 'small' ? '250px' : '600px',
      controls: this.controls,
      muted: false,
    };
    this.player = new Twitch.Player(`twitch-embed-${this.videoID}`, options);
  },
};
</script>
